#ifndef HOST_QUEUE_H
#define HOST_QUEUE_H
#include "FreeRTOS.h"
struct FakeQueue;
using QueueHandle_t = FakeQueue *;
extern "C" QueueHandle_t xQueueCreateStatic( UBaseType_t, UBaseType_t, std::uint8_t *, StaticQueue_t * );
extern "C" BaseType_t xQueueSendFromISR( QueueHandle_t, const void *, BaseType_t * );
extern "C" BaseType_t xQueueReceive( QueueHandle_t, void *, TickType_t );
#endif
